html,
/* This is for the overall game */
body {
    margin: 0;
}

canvas {
    display: block;
    background-color: black;
    border: 1px solid green;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    padding: 0;

}

.screen {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-family: Arial;
    color: white;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.9);
    z-index: 1;
    display: none;
}

.screen h1 {
    font-size: 36px;
    margin-bottom: 20px;
}

.screen p {
    font-size: 24px;
    margin-bottom: 20px;
}

.screen button {
    padding: 10px 20px;
    font-size: 18px;
    background-color: green;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 5px;
}

/*  This is the style for the button hover */
.screen button:hover {
    background-color: green;
}
.button-container {
    display: flex;
    justify-content: space-between;
    margin-top: 20px; /* Adjust the margin as needed */
}
/* Game menu style */
  .menu {
    background-color: rgb(0, 14, 2); 
     /*  background-image: url('background.gif'); */
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-family: Arial;
    color: white;
    text-align: center;
    z-index: 1;
  }
  
  .menu h1 {
    font-size: 36px;
    margin-bottom: 20px;
  }
  
  .menu button {
    padding: 10px 20px;
    font-size: 18px;
    background-color: green;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 5px;
  }
  
  /* Style for the button hover */
  .menu button:hover {
    background-color: green;
  }

    /* Simpele animatie voor de matrix titel */

  * {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
  }
  
  body {
    background-color: #111;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
  }
  .matrix {
    position: relative;
  }
  .matrix span {
    position: relative;
    display: inline-block;
    font-size: 100px;
    color: #fff;
    text-transform: uppercase;
    animation: flip 2s infinite;
    animation-delay: calc(.2s * var(--i))
  }
  @keyframes flip {
    0%,80% {
      transform: rotateY(360deg) 
    }
  }

  /*  CREDITS CSS */

  .screen2 {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-family: Arial;
    color: white;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.9);
    z-index: 1;
    display: none;
}

.screen2 h1 {
    font-size: 36px;
    margin-bottom: 20px;
}

.screen2 p {
    font-size: 24px;
    margin-bottom: 20px;
}

.screen2 button {
    padding: 10px 20px;
    font-size: 18px;
    background-color: green;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 5px;
}

.screen2 button:hover {
    background-color: green;
}

/*  SCORE BOORD CSS */
.screen3 {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-family: Arial;
  color: white;
  text-align: center;
  background-color: rgba(0, 0, 0, 0.9);
  z-index: 1;
  display: none;
}

.screen3 h1 {
  font-size: 36px;
  margin-bottom: 20px;
}

.screen3 p {
  font-size: 24px;
  margin-bottom: 20px;
}

.screen3 button {
  padding: 10px 20px;
  font-size: 18px;
  background-color: green;
  color: white;
  border: none;
  cursor: pointer;
  border-radius: 5px;
}

/*  This is the style for the button hover */
.screen3 button:hover {
  background-color: green;
}

/* CSS for the alert popup */
.announce {
  padding: 20px;
  background-color: green; /* Red */
  color: white;
  margin-bottom: 15px;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 2;
  text-align: center;
  display: none;
}

/* The close button */
.closeannounce {
  color: white;
  font-weight: bold;
  float: right;
  font-size: 22px;
  line-height: 20px;
  cursor: pointer;
  transition: 0.3s;
}

/* When moving the mouse over the close button */
.closeannounce:hover {
  color: black;
}

.hidden {
  display: none;
}

.fade-out {
  opacity: 1;
  animation-name: fadeOut;
  animation-duration: 0.5s;
  animation-timing-function: ease-out;
}

@keyframes fadeOut {
  0% {
    opacity: 1;
    /* No transform in the initial state */
  }
  100% {
    opacity: 0;
    /* No transform in the final state */
  }
}

